Summary: Emacs mode for editing C (ANSI and K&R), C++, Objective-C, and Java code
Name: cc-mode
Version: 4.379
Release: 1
Copyright: distributable
Group: Documentation
Source: cc-mode.tar.gz
BuildRoot: /tmp/cc-mode
Requires: emacs

%description
This package provides modes in GNU Emacs for editing C, C++,
Objective-C, and Java code. It is intended to be a replacement for
c-mode.el (a.k.a. BOCM -- Boring Old C-Mode), c++-mode.el,
cplus-md.el, and cplus-md1.el, all of which are in some way ancestors
of this file.  A number of important improvements have been made,
briefly: complete K&R C, ANSI C, `ARM' C++, Objective-C, and Java
support with consistent indentation across all modes, more intuitive
indentation controlling variables, compatibility across all known
Emacsen, nice new features, and tons of bug fixes.  This package is
called "CC Mode" to distinguish it from its ancestors, but there is no
cc-mode command.  Usage and programming details are contained in an
accompanying texinfo manual.

%prep
%setup

%build
cat >bc <<EOF
(byte-recompile-directory "." 0)
EOF
emacs -batch -q -l bc
rm bc
makeinfo cc-mode.texi

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp $RPM_BUILD_ROOT/usr/info
install -m644 *.el *.elc $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
gzip -c9 cc-mode.info >$RPM_BUILD_ROOT/usr/info/cc-mode.info.gz
chmod 644 $RPM_BUILD_ROOT/usr/info/cc-mode.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README ANNOUNCEMENT ChangeLog
/usr/share/emacs/site-lisp/cc-compat.el
/usr/share/emacs/site-lisp/cc-guess.el
/usr/share/emacs/site-lisp/cc-lobotomy.el
/usr/share/emacs/site-lisp/cc-mode-18.el
/usr/share/emacs/site-lisp/cc-mode.el
/usr/share/emacs/site-lisp/cc-compat.elc
/usr/share/emacs/site-lisp/cc-guess.elc
/usr/share/emacs/site-lisp/cc-lobotomy.elc
/usr/share/emacs/site-lisp/cc-mode-18.elc
/usr/share/emacs/site-lisp/cc-mode.elc
/usr/info/cc-mode.info.gz

# Local variables:
# compile-command: "rpm -ba --short-circuit cc-mode-4.379.spec"
# End:
